> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List bots

> Returns the list of bots created within a license.

The method behavior differs depending on who created the bot and what authorization method is used for the call.

**Required scopes:** `agents-bot--my:ro`, <Tooltip tip="To list all bots within the license.">`agents-bot--all:ro`</Tooltip>


## OpenAPI

````yaml /api/configuration/v3.5/openapi.json post /action/list_bots
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.5
servers:
  - url: https://api.livechatinc.com/v3.5/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/list_bots:
    post:
      tags:
        - Bots
      summary: List bots
      description: >-
        Returns the list of bots created within a license.


        The method behavior differs depending on who created the bot and what
        authorization method is used for the call.
      operationId: list-bots
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListBotsRequest'
            example:
              all: false
      responses:
        '200':
          description: A list of bots.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BotListItem'
              example:
                - id: 2c1b8da190222160e8f9e077af4c625b
                  name: Bot Name
                  avatar: example.com/avatar.jpg
components:
  schemas:
    ListBotsRequest:
      type: object
      properties:
        all:
          type: boolean
          description: >-
            If set to `true`: returns all bots within the license. If set to
            `false`: returns only the requester's bots.
          default: false
        fields:
          $ref: '#/components/schemas/BotFields'
    BotListItem:
      type: object
      properties:
        id:
          type: string
          description: The bot ID.
        name:
          type: string
          description: The display name.
        avatar_path:
          type: string
          description: The URL of the bot's avatar.
    BotFields:
      type: array
      items:
        type: string
        enum:
          - groups
          - work_scheduler
          - job_title
          - max_chats_count
          - timezone
      description: |-
        Additional bot fields to include in the response.

        - `groups` — The groups a bot belongs to.
        - `work_scheduler` — The work scheduler object for a bot.
        - `job_title` — The bot's job title.
        - `max_chats_count` — The bot's maximum number of concurrent chats.
        - `timezone` — The time zone in which the bot's work scheduler operates.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````